Bug 55571 (a11y-macOS) - [META] ACCESSIBILITY: Tracking bug for issues related to the macOS Accessibility API
Summary: [META] ACCESSIBILITY: Tracking bug for issues related to the macOS Accessibil...
Status: NEW
Alias: a11y-macOS
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
3.6.2.2 release
Hardware: All Mac OS X (All)
: medium critical
Assignee: Not Assigned
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on: 49576 67917 67918 67919 67943 72408 100706 31919 37913 39701 40301 42014 44471 46107 47275 47368 49942 50147 51686 54320 54923 55156 55671 56656 56937 57071 57245 60162 60301 64599 67410 67680 67916 67957 67980 74121 74470 74983 81759
Blocks: a11y
  Show dependency treegraph
 
Reported: 2012-10-03 11:04 UTC by Roman Eisele
Modified: 2017-07-13 15:06 UTC (History)
10 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Roman Eisele 2012-10-03 11:04:55 UTC
This is the Meta issue to track important bugs in LibreOffice for Mac OS X which appear *only* when
a) some option in Apple’s “Universal Access” preferences pane is activated,
   e.g. “VoiceOver” or “Enable access for assistive devices”; or
b) when some utility/extension/control panel/… is activated/running
   which relies on Apple’s Mac OS X Accessibility API; this applies to many
   window management and other UI utilities, like BetterSnapTool,
   BetterTouchTool, Cinch, LazyMouse, Moom, RightZoom … to mention only
   some popular examples.
As “important” we regard mostly bugs which manifest in crashes and hangs, or maybe in a loss of important functionality.

So, if you encounter some important bug x which appears in LibreOffice for Mac OS X *only* when (a) or (b) is true, then please:
1) check the list of bugs already added to this Meta issue in the “Depends
   on” list;
2) if you find that your bug x is identical to one of these bugs,
   please mark bug x as a duplicate of that bug, and do *not* add bug x
   to the “Depends on” here;
2) but when you can *not* find any bug in the “Depends on” list which is
   similar to your bug x, then please add bug x itself to the “Depends on”
   list here, *and* leave a short additional comment, giving a summary
   of bug x.
Thank you very much!
Comment 1 Roman Eisele 2012-10-03 11:17:20 UTC
First I add some bugs which are already fixed or no longer reproducible, just to make it easier to find them if necessary for reference purposes. For a survey of all known bugs of this kind in LibreOffice 3.5/3.6, until end of September 2012, please see my report in attachment 67635 [details].

Added bug 47368: “Many crashes when accessibility enabled on Mac OS X”, which as many duplicates. For a long time, this bug was used as a catch-all tracking issue of any bugs related to the Mac OS X Accessibility API; after fixing the two most important bugs, bug 47368 was closed, and should not be opened again.

Added bug 49942: “FORMATTING TABLES crashes LO on Mac OS X when Cinch is running”, with some duplicates; very similar to bug 47368, and fixed by the same commits.

Added two bugs recently fixed by Tor Lillqvist:
* bug 47275: “Autofilter CRASH on Mac OS X when Mac accessibility features
  (Universal Access) are enabled”;
* bug 55156: “Hang on accessing any pane in the application Options dialog,
  when Cinch is running (related to Mac OS accessibility)”.

Added some other bugs which are no longer reproducible in LibreOffice >= 3.6.1 (cf. report cited above):
* bug 42014: “LibreOffice Preferences list change hangs with Moom running
  in Mac OS X Lion”;
* bug 44471: “FORMATTING: Changing character background color causes HANG”;
* bug 50147: “EDITING: CRASH when switching from Slide Sorter (or Notes?) view
  to Normal view, with Mac OS X accessibility features enabled”;
* bug 51686: “FORMATTING Background Colour ‘No Fill’ and Font Colour ‘Automatic’
  cause LibreOffice to crash on Mac OS X when RightZoom is installed”.
Comment 2 Roman Eisele 2012-10-03 11:22:58 UTC
Now I add some bugs which are currently in NEEDINFO status. I could not reproduce the following bugs, but can not tell definitely if they are obsolete (e.g., because of some ambiguity in the bug description); cf. again attachment 67635 [details].

These bugs require the attention of the original reporters. If they don’t answer in a reasonable time frame, we can close these bug reports.

* Bug 31919: “Mac: program beach-balls and then crashes when topic is selected
  within Preferences”;
* Bug 37913: “LibreOffice crashes frequently when settings-dialog is opened”;
* bug 39701: “LibO 3.4.2 FINAL Crashes because of double clicking in
  Preferences menu”;
* Bug 40301: “LibreOffice 3.4.2 with German language pack under OSX Lion 1.7.0
  and 1.7.1 (German) crashes when trying to change settings”;
* Bug 46107: “UI: Voiceover not announcing cell content or position”;
* Bug 47250: “Writer crashes editing table’s properties”.
Comment 3 Roman Eisele 2012-10-03 11:25:51 UTC
Finally, I add two bugs which are still open, and require action by the developers.

* Bug 49576: “Accessibility - MAC AT accessibility problems”
* Bug 54923: “CRASH with LazyMouse enabled, e.g. when clicking multiple times
  fast on default button”

While bug 49576 is a complex report about various MAC AT accessibility problems, bug 54923 is a (now) easily reproducible bug report which should allow fast fixing of the problem.
Comment 4 Roman Eisele 2012-10-03 11:28:02 UTC
Sorry, I decided to remove bug 49576 again, because it is a complex report and not an “important” bug according our simple definition (crash or hang); so I have added bug 49576 to the “See also” list instead.
Comment 5 steve -_- 2012-10-05 14:58:38 UTC
Since I wasn't sure where to add my report I'm commenting on this Meta isseu.

Brief report:

I experience a beachball & crash whenever I right-click the table name in Calc (wanting to rename that) with System Preferences > Accessability Controls > Enable access for assistive devices (active).

The crash does not appear when this setting is inactive.

I also tested the 3.6.3 nightly of LO and still experience identical behavior.
Comment 6 steve -_- 2012-10-05 15:09:14 UTC
forgot the crash log: http://cl.ly/39453g1m3n2P
(if it's not helpful, feel free to delete this comment)
Comment 7 Roman Eisele 2012-10-05 15:41:18 UTC
@ SteveBell:

Thank you for your bug report! Well, as the stack trace confirms, yours is definitely a bug related to the Mac OS X accessibility API, and I would guess that it is a new (unknown) kind of such a bug -- congratulations on your discovery ;-) Therefore, please file a new bug report for this problem, because we need to handle it separately, and add me <bugs@eikota.de> to the CC list of that bug.

Thank you very much in advance!
Comment 8 Roman Eisele 2012-10-11 09:49:59 UTC
Removed bug 47250 - “Writer crashes editing table’s properties”, because the new stack trace and the original reporter’s answers show that this issue is not related to the Mac OS X Accessibility API.
Comment 9 Roman Eisele 2012-10-11 14:22:49 UTC
(In reply to comment #7)
> Therefore, please file a new bug report for this problem,
> because we need to handle it separately

SteveBell’s report has become bug 55671 - “CRASH on OS X when right-clicking the table name in Calc with BetterSnapTool or RightZoom running”; added here.
Comment 10 Roman Eisele 2012-11-02 14:18:38 UTC
Added bug 56656 -- “Spreadsheet keeps crashing”; not yet confirmed, but this could be a new bug related to the Mac accessibility features ... so I will make further investigations, if necessary.
Comment 11 V Stuart Foote 2012-11-11 18:24:15 UTC
added https://bugs.freedesktop.org/show_bug.cgi?id=49576 for tracking
Comment 12 Roman Eisele 2012-11-15 11:53:46 UTC
Hint:
After waiting for about two months (or more), I have closed some of the older bugs in NEEDINFO status, because the original reporters did not answer to our questions. Because I can not reproduce any of these bugs now, not even with some accessibility utilities activated and running, I have set the status of these reports to RESOLVED/WORKSFORME, in the hope that either theses bugs are really fixed (probably by the fixes for bug 47368), or that the original reporters will come back and add the missing information.
Comment 13 Roman Eisele 2012-11-16 08:29:56 UTC
Added bug 57071 - “UI: Freeze when resizing tabs/horizontal scrollbar on OSX with BetterTouchTool or RightZoom running”.

Easily reproducible when BetterTouchTool or RightZoom is installed and active.
Comment 14 Roman Eisele 2012-11-18 15:34:00 UTC
Added bug 56937 - “EDITING: freeze when drag and drop from ‘top input field’ to anywhere”. Not yet reproduced, but according to the process sampling definitely yet another issue related to Mac OS accessibility stuff.
Comment 15 Roman Eisele 2012-11-20 18:10:30 UTC
Added Bug 57245 - “In OS X Calc hangs if save button used. Both Cmd-G and menu File->Save works OK.” Not yet reproduced, but according to the stack backtraces definitely yet another issue related to Mac OS accessibility stuff.
Comment 16 Roman Eisele 2012-12-23 18:37:42 UTC
Intermediate status report for Xmas 2012:

The list of open accessibility-related issues has become much shorter again, because bug 56937 (“EDITING: freeze when drag-and-drop from Calc input line to anywhere on OSX when BetterTouchTool option ‘window snapping’ is active“)
has been fixed, thanks to Michael Meeks, and the same patch has also fixed some bugs which turn out to be mere duplicates:

* bug 55671 - “CRASH on OS X when right-clicking the table name in Calc
  with BetterSnapTool or RightZoom running”;
* bug 57071 - “UI: Freeze when resizing tabs/horizontal scrollbar on OSX
  with BetterTouchTool or RightZoom running”;
* bug 57245 - “In OS X Calc hangs if save button used when Cinch is activated
  (both Cmd-S and menu File->Save work OK)”;
* bug 58330 - “EDITING: Selecting text in formula bar sends LODev
  into spinning beachball land”.
Comment 17 Boris Dušek 2013-07-30 20:42:08 UTC
Added bug 67410 - VoiceOver does not provide typing or cursor movement echo in text
Comment 18 Boris Dušek 2013-08-08 18:38:26 UTC
Added bug #67680 - Impossible to search for text attributes with VoiceOver
Comment 19 Boris Dušek 2013-08-08 18:59:12 UTC
Added bug #67916 - Text cursor does not follow VoiceOver cursor to a different paragraph
Comment 20 Boris Dušek 2013-08-08 19:37:32 UTC
Added Bug 67917 - Moving by word right moves to the beginning of next word, not end of current word on OS X
Comment 21 Boris Dušek 2013-08-08 19:50:26 UTC
Added Bug 67918 - Writer should not have an isolated AXTextArea for each paragraph
Comment 22 Boris Dušek 2013-08-08 20:09:39 UTC
Added Bug 67919 - AXMenuButton's should implement AXShowMenu
Comment 23 Boris Dušek 2013-08-09 19:12:29 UTC
Added Bug 67957 - Font name reported in AXFont always Times New Roman
Comment 24 Boris Dušek 2013-08-10 11:38:14 UTC
Added Bug 67980 - VoiceOver does not inform about misspelled text
Comment 25 V Stuart Foote 2013-08-10 15:17:02 UTC
@Boris,

No intention of tasking you in any sense. But in line with your efforts on improving accessibility support for LibreOffice on OSX platforms I kind of see mishandling of keyboard accelerators (aka hotkeys) and focus events in general as affecting Accessibility--in addition to your efforts correcting support for the NSAccessibility bridge of UNO Accessibility API. 

Reluctant to add them to this meta bug in bulk, but listed below are several issues that are OS X specific that you might want to review with an eye to what is being done within LO that is out of sync with what OSX requires for functional keyboard interface.

bug 43894 MAC feature Menu Search not available in some localizations 
bug 49853 EDITING: Cannot paste into 'any' toolbar box with CMD+V (OS X)
bug 53965 Character ` is inserted while cycling through the windows on Mac
bug 55914 Can't use keyboard shortcuts when searching
bug 60790 UI: "Select All" shortcut into font field is not effient
bug 62054 Can't use Cmd+A [to select all] in "Save As..." window on Mac

And of course there these are listed on the OSX UX meta bug 42082, if following using that is more appealing.

Stuart
Comment 26 V Stuart Foote 2014-01-03 05:03:52 UTC
Could someone conversant in NSAccessibility take a moment to verify and comment on behavior of bug 73243 on OS X.

Thanks!
Comment 27 tommy27 2016-04-16 07:24:52 UTC Comment hidden (obsolete)